21 |
diff -Nur --no-dereference smeserver-freepbx-14.old/root/etc/e-smith/events/actions/freepbx-cron smeserver-freepbx-14/root/etc/e-smith/events/actions/freepbx-cron |
diff -Nur --no-dereference smeserver-freepbx-14.old/root/etc/e-smith/events/actions/freepbx-cron smeserver-freepbx-14/root/etc/e-smith/events/actions/freepbx-cron |
22 |
--- smeserver-freepbx-14.old/root/etc/e-smith/events/actions/freepbx-cron 1969-12-31 19:00:00.000000000 -0500 |
--- smeserver-freepbx-14.old/root/etc/e-smith/events/actions/freepbx-cron 1969-12-31 19:00:00.000000000 -0500 |
23 |
+++ smeserver-freepbx-14/root/etc/e-smith/events/actions/freepbx-cron 2022-04-16 21:36:24.262000000 -0400 |
+++ smeserver-freepbx-14/root/etc/e-smith/events/actions/freepbx-cron 2022-04-16 21:36:24.262000000 -0400 |
24 |
@@ -0,0 +1,21 @@ |
@@ -0,0 +1,22 @@ |
25 |
+#!/bin/bash |
+#!/bin/bash |
26 |
+ |
+ |
27 |
+path='PATH=\/usr\/local\/sbin:\/usr\/local\/bin:\/usr\/sbin:\/usr\/bin:\/root\/bin' |
+path='PATH=\/usr\/local\/sbin:\/usr\/local\/bin:\/usr\/sbin:\/usr\/bin:\/root\/bin' |
28 |
+cronfile='/var/spool/cron/asterisk2' |
+cronfile='/var/spool/cron/asterisk' |
29 |
|
+[ ! -f $cronfile ] && exit 0 |
30 |
+status=$(/sbin/e-smith/config getprop freepbx status || echo "disabled") |
+status=$(/sbin/e-smith/config getprop freepbx status || echo "disabled") |
31 |
+ |
+ |
32 |
+# add PATH to fist line if not present; else update it |
+# add PATH to fist line if not present; else update it |